A guide explaining how to set up and activate a Vultr Object Storage subscription for cloud-based data storage.
Vultr Object Storage is an S3-compatible solution that lets you store and serve large amounts of data as objects. It provides scalable, durable, and secure storage for a variety of data types, such as documents, images, videos, and backups. It's ideal for big data storage, data backups, and content distribution using a secure S3-compatible endpoint.
Follow this guide to provision a Vultr Object Storage Subscription using the Vultr Customer Portal, API, CLI, or Terraform.
Navigate to Products and click Cloud Storage.
Select Object Storage from the list of options.
Click Create Object Storage
Select a Vultr Object Storage tier from the following options:
VULTR_ARCHIVE storage class via a lifecycle policy. Includes 1000 GB of archived storage, 100 GB of unarchived storage, and 1 TB of bandwidth at $6/month. Archived data beyond the included capacity is billed at $0.006 per GB-month.Enter a descriptive name in the Name field.
Select your desired Vultr location.
Click Create Object Storage to provision the Vultr Object Storage subscription.
Send a GET request to the Get All Clusters endpoint and note your target cluster ID depending on the Vultr region.
$ curl "https://api.vultr.com/v2/object-storage/clusters" \
-X GET \
-H "Authorization: Bearer ${VULTR_API_KEY}"
Send a GET request to the Get All Tiers endpoint to view all available Vultr Object Storage tiers and note your target tier ID.
$ curl "https://api.vultr.com/v2/object-storage/tiers" \
-X GET \
-H "Authorization: Bearer ${VULTR_API_KEY}"
Send a POST request to the Create Object Storage endpoint to provision a Vultr Object Storage subscription with your target tier and region. Replace CLUSTER_ID with the cluster ID from the previous step, TIER_ID with your target tier ID, and LABEL with a descriptive name for the subscription.
$ curl "https://api.vultr.com/v2/object-storage" \
-X POST \
-H "Authorization: Bearer ${VULTR_API_KEY}" \
-H "Content-Type: application/json" \
--data '{
"label": "LABEL",
"cluster_id": CLUSTER_ID,
"tier_id": TIER_ID
}'
Visit the Create Object Storage endpoint to view additional attributes to apply to your Vultr Object Storage subscription request.
Send a GET request to the List Object Storages endpoint to view all available Vultr Object Storage subscriptions in your account.
$ curl "https://api.vultr.com/v2/object-storage" \
-X GET \
-H "Authorization: Bearer ${VULTR_API_KEY}" \
-H "Content-Type: application/json"
List all available Vultr Object Storage clusters and note your target cluster ID depending on the Vultr region.
$ vultr-cli object-storage list-clusters
Provision a Vultr Object Storage subscription. Replace CLUSTER_ID with your target cluster ID and LABEL with a descriptive name.
$ vultr-cli object-storage create --cluster-id CLUSTER_ID --label LABEL
List all Vultr Object Storage subscriptions in your account.
$ vultr-cli object-storage list
Run vultr-cli object-storage create --help to view all available options to apply to your Vultr Object Storage subscription request.
Ensure the Vultr Terraform provider is configured in your Terraform project.
Define the Object Storage subscription resource.
terraform {
required_providers {
vultr = {
source = "vultr/vultr"
version = "~> 2.23"
}
}
}
provider "vultr" {}
resource "vultr_object_storage" "object_storage" {
cluster_id = 4 # Object Storage cluster (region).
tier_id = 1 # Performance tier ID.
label = "Object-Storage"
}
Apply the configuration and observe the following output:
Apply complete! Resources: 1 added, 0 changed, 0 destroyed.